aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/test/check_api.sh
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2023-03-12 16:46:43 +0100
committerEgor Tensin <Egor.Tensin@gmail.com>2023-03-12 16:53:37 +0100
commit897e8a30ed5b292df9d987f5f566e58a71394ce9 (patch)
tree16105ac99a07d1e3cd95d32a0cdc874fc9154347 /test/check_api.sh
parenttest: add more headers to logs (diff)
downloadwg-api-web-897e8a30ed5b292df9d987f5f566e58a71394ce9.tar.gz
wg-api-web-897e8a30ed5b292df9d987f5f566e58a71394ce9.zip
test: refactoring
In preparation to adding LinuxServer tests.
Diffstat (limited to 'test/check_api.sh')
-rwxr-xr-xtest/check_api.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/test/check_api.sh b/test/check_api.sh
new file mode 100755
index 0000000..4dcc199
--- /dev/null
+++ b/test/check_api.sh
@@ -0,0 +1,33 @@
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o pipefail
+shopt -s inherit_errexit lastpipe
+
+run_curl() {
+ curl -sS -D - --connect-timeout 3 http://192.168.177.1:1234/ "$@"
+}
+
+run_curl_api() {
+ run_curl -H 'Content-Type: application/json' "$@"
+}
+
+call_api_method() {
+ local method
+ for method; do
+ echo ------------------------------------------------------------------
+ echo "Checking API method: $method"
+ echo ------------------------------------------------------------------
+ run_curl_api -d '{"jsonrpc": "2.0", "method": "'"$method"'", "params": {}}'
+ done
+}
+
+check_api() {
+ call_api_method ListPeers
+ call_api_method GetDeviceInfo
+}
+
+main() {
+ check_api
+}
+
+main "$@"